Bug 138935 - CRASH: Opening animation sidebar pane after inserting a shape
Summary: CRASH: Opening animation sidebar pane after inserting a shape
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0.0.beta2 target:7.2.0 tar...
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-12-15 11:44 UTC by Xisco Faulí
Modified: 2020-12-17 12:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screencast (722.19 KB, video/x-matroska)
2020-12-15 11:44 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-12-15 11:44:53 UTC
Created attachment 168191 [details]
screencast

Steps to reproduce:
1. Clean the user profile
2. Open Impress
3. Insert a shape
4. Open the animation pane in the sidebar

Observations: Step 4 has to be performed pretty quick right after the shape is inserted. it crashes at times, it looks like a timing issue

Reproduced in

Version: 7.2.0.0.alpha0+
Build ID: 9a2a4bc5ed340ba187c8e27db5c8477c990c93af
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-12-15 11:46:39 UTC
I think this is a regression from ( not 100% sure )

https://cgit.freedesktop.org/libreoffice/core/commit/?id=75b9109a2da35cf0f0914504145d84cf918c6af2

author	Caolán McNamara <caolanm@redhat.com>	2020-11-12 20:48:50 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2020-11-20 21:07:56 +0100
commit	75b9109a2da35cf0f0914504145d84cf918c6af2 (patch)
tree	ce444db75d6f2282e86d86c89c0cce66ab937c8d
parent	94ea1c89e959069aa7c735317470712012df2362 (diff)
weld TabBar

Bisected with: bibisect-linux64-7.1

Adding Cc: to Caolán McNamara
Comment 2 Xisco Faulí 2020-12-15 12:36:09 UTC
also crashes in gtk3
Comment 3 Caolán McNamara 2020-12-15 14:48:33 UTC
I think I can reproduce it anyway
Comment 4 Commit Notification 2020-12-15 17:13:53 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/d2055db8d7b13b34e526cc16f5c084505e6de331

tdf#138935 rsDeckId is invalid by the time collectUIInformation is called

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-12-16 08:43:24 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0bbdf06fabfc7f43dde9cc36256130779b1e3902

tdf#138935 rsDeckId is invalid by the time collectUIInformation is called

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2020-12-16 08:44:34 UTC
fixed in master and 7-1, backport to 7-0 in gerrit as well even though its not reported to crash there its possible the same problem exists
Comment 7 Xisco Faulí 2020-12-17 12:49:30 UTC
Verified in

Version: 7.2.0.0.alpha0+
Build ID: 4484accf4d331a95ebf8475d6cd91950f4c27bcc
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 8 Commit Notification 2020-12-17 12:51:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/871940eba642bec3cc263b48048ee4ffbf8a6c0f

tdf#138935 rsDeckId is invalid by the time collectUIInformation is called

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.